Bug 439583 - environment variables in /usr/sbin/ejabberdctl are not correctly set
environment variables in /usr/sbin/ejabberdctl are not correctly set
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 06:19 EDT by Eduard VANKO
Modified: 2008-07-08 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0.1-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eduard VANKO 2008-03-29 06:19:16 EDT
Description of problem:
Because environment variables in /usr/sbin/ejabberctl are not correctly set,
ejabberctl creates crash dump...


Version-Release number of selected component (if applicable):
ejabberd-2.0.0-1.fc8.x86_64.rpm


How reproducible:
run ejabberdctl

Expected results:
no crash dump
Comment 1 Peter Lemenkov 2008-05-29 09:45:09 EDT
Confirmed. Working on it (sorry for the delay).
Comment 2 Fedora Update System 2008-05-29 12:39:16 EDT
ejabberd-2.0.1-2.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-05-29 12:43:21 EDT
ejabberd-2.0.1-2.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-05-29 12:44:36 EDT
ejabberd-2.0.1-2.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-05-30 22:10:28 EDT
ejabberd-2.0.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ejabberd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4665
Comment 6 Bill McGonigle 2008-06-18 01:43:14 EDT
I was seeing an issue (just installing ejabberd) where ejabberdctl would crash
dump if cwd wasn't /usr/lib/ejabberd/ebin/ .

This update seems to have fixed that and got me on to other problems. i386 FWIW.
Comment 7 Fedora Update System 2008-06-22 12:57:58 EDT
ejabberd-2.0.1-3.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-06-22 13:02:33 EDT
ejabberd-2.0.1-3.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-06-22 15:41:17 EDT
ejabberd-2.0.1-4.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-06-22 16:04:03 EDT
ejabberd-2.0.1-4.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-07-08 22:45:53 EDT
ejabberd-2.0.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-07-08 22:54:28 EDT
ejabberd-2.0.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.